# Add Destination Priority

## Overview

This method lets you update the voice destination priority for phone numbers.

## Authentication

{% hint style="info" %}
Authentication is done by passing your TSG Global API key via the Authorization header in the format "Authorization: Bearer \<api\_key>"
{% endhint %}

## Method

## Add a destination priority associated with a phone number.

<mark style="color:green;">`POST`</mark> `https://api-service.tsgglobal.world/v1/did/priority`

#### Request Body

| Name                                          | Type   | Description                                        |
| --------------------------------------------- | ------ | -------------------------------------------------- |
| did<mark style="color:red;">\*</mark>         | String | The phone number (e.g. 12022011234)                |
| priority<mark style="color:red;">\*</mark>    | String | 1-3 in order of preferred priority.                |
| destination<mark style="color:red;">\*</mark> | String | `192.168.1.1` (for VOIP), `16352321233` (for PSTN) |
| call\_type<mark style="color:red;">\*</mark>  | String | `VOIP`, `PSTN`                                     |
| call\_option                                  | String | `WP`, `NP`                                         |

For VOIP Call Type you need to enter just the IP Address of the Gateway and we will format the rest of the destination. For PSTN Call Type you need to just enter the PSTN Destination in e.164 format or e.164 (-) the Plus.

Type must only contain one of the following `VOIP` = VOIP Destination | `PSTN` = PSTN Destination (This is case sensitive.)

`NP` = VOIP DID Sent to Gateway with out plus | `WP` = VOIP DID Sent to Gateway with plus. (This is case sensitive.)

### Example POST (PSTN)

```
curl -n https://api-service.tsgglobal.world/v1/did/priority -XPOST -H "Authorization: Bearer <api_key>" \
-H "Content-Type: application/json" -d '{
  "did": "12003004000",
  "destination": "16352321233",
  "priority": 2,
  "call_type": "PTSN",
  "call_option": "NP"
}'
```

### Example POST (VOIP)

```
curl -n https://api-service.tsgglobal.world/v1/did/priority -XPOST -H "Authorization: Bearer <api_key>" \
-H "Content-Type: application/json" -d '{
  "did": "12003004000",
  "destination": "192.168.1.1",
  "priority": 3,
  "call_type": "VOIP",
  "call_option": "NP"
}'
```

## **Error Codes**

* `-1000` Invalid or Blank API Key
* `-1001` Invalid or Blank Call Option
* `-1003` Invalid or No DID Provided
* `-1004` Invalid or No Priority Provided
* `-1005` Invalid or No Destination Provided
* `-1006` Invalid or No Call Type Provided
* `-1007` Priority Already Exists Use Another Priority
* `-1008-V` Priority Added to Database as VoIP Destination
* `-1008-P` Priority Added to Database as PSTN Destination
* `-1010` Unknown Error Please Contact TSG Support with URL String for Review


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tsgglobal.com/api-reference/phone-numbers/manage-number-for-voice/add-destination-priority.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
